资源
健康检查
检查系统健康状况 — 无需身份验证。
GET
/
api
/
v1
/
health
健康检查
curl --request GET \
--url https://api.example.com/api/v1/healthimport requests
url = "https://api.example.com/api/v1/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/health")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>",
"timestamp": "<string>",
"version": "<string>",
"providers": {}
}公开端点,返回 Theo 基础设施及 AI 引擎子系统的当前健康状态。无需身份验证。
健康检查结果会缓存 30 秒。
X-Cache 响应头会标明 HIT 或 MISS。请求示例
curl https://www.hitheo.ai/api/v1/health
响应
string
系统整体状态:
"healthy"(健康)、"degraded"(降级)或 "down"(不可用)。string
本次健康检查的 ISO 8601 时间戳。
string
API 版本标识符(例如
"2026-03-28")。object
AI 引擎子系统的健康状况。
显示 Provider health object
显示 Provider health object
每个键为一个 Theo 子系统名称(例如
theo-core、theo-vision、theo-search)。对应的值包含:
string
"healthy"(健康)、"degraded"(降级)、"down"(不可用)或 "unconfigured"(未配置)。响应示例
{
"status": "healthy",
"timestamp": "2026-04-10T12:00:00.000Z",
"version": "2026-03-28",
"providers": {
"theo-core": { "status": "healthy" },
"theo-vision": { "status": "healthy" },
"theo-search": { "status": "healthy" }
}
}
状态码
| 状态码 | 含义 |
|---|---|
| 200 | 系统健康或处于降级状态 |
| 503 | 系统不可用 — 响应中包含 Retry-After: 30 头 |
此页面对您有帮助吗?
健康检查
curl --request GET \
--url https://api.example.com/api/v1/healthimport requests
url = "https://api.example.com/api/v1/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/health")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>",
"timestamp": "<string>",
"version": "<string>",
"providers": {}
}